#!/usr/bin/env node

/**
 * Example client
 */
'use strict'

const co = require('co')
const apemanApiClient = require('apeman-api-client')

co(function * () {
  // Setup an client
  let api = yield apemanApiClient('/api')

  // Connect to a module
  let format = yield api.connect('format')
  let pong = yield format.ping()
  /* ... */

  // Format json files
  yield format.formatJson('**/*.json', {
    cwd: 'db/seeds',
    sort: true
  })
})

